Get a card
curl --request GET \
--url https://apigwuat.corpay.com/cards/{cardIdentifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigwuat.corpay.com/cards/{cardIdentifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigwuat.corpay.com/cards/{cardIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigwuat.corpay.com/cards/{cardIdentifier}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigwuat.corpay.com/cards/{cardIdentifier}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigwuat.corpay.com/cards/{cardIdentifier}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigwuat.corpay.com/cards/{cardIdentifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"additionalEmbossing": "FLEET-01",
"cardDeliveryAddress": {
"companyName": "ACME Ltd",
"addressLines": "Unit 10, Industrial Estate Oxford Road",
"city": "Oxford",
"country": "United Kingdom",
"countryCode": "GBR",
"region": "Oxfordshire",
"zipCode": "OX1 3PA"
},
"cardDeliveryContact": {
"emailAddress": "jane.smith@example.com",
"firstName": "Jane",
"lastName": "Smith",
"middleName": "B",
"mobilePhone": "+447700900124",
"telephone": "+441234567891"
},
"cardIdentifier": 1234,
"cardType": "BE EV",
"customerAccountNumber": "23444444",
"driverName": "James Smith",
"fuelProductRestriction": {
"productRestrictionId": 1,
"productRestrictionName": "Fuel Only"
},
"keyIdentifier": "2323s",
"primaryVisualCardNumber": "3080002323232",
"products": [
{
"productId": 101,
"productName": "Car Wash"
},
{
"productId": 102,
"productName": "Lubricants"
}
],
"purchaseCategoryName": "Fuel",
"secondaryCardNumber": "NL-TBE-2323-2323",
"status": {
"id": 1,
"name": "Active"
},
"vehicleRegNumber": "AB12 CDE",
"orderDate": "2026-03-31",
"expiryDate": "2026-03-31"
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Card
Get a card
Retrieve a single card by its Corpay card identifier.
GET
/
cards
/
{cardIdentifier}
Get a card
curl --request GET \
--url https://apigwuat.corpay.com/cards/{cardIdentifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigwuat.corpay.com/cards/{cardIdentifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigwuat.corpay.com/cards/{cardIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigwuat.corpay.com/cards/{cardIdentifier}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigwuat.corpay.com/cards/{cardIdentifier}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigwuat.corpay.com/cards/{cardIdentifier}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigwuat.corpay.com/cards/{cardIdentifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"additionalEmbossing": "FLEET-01",
"cardDeliveryAddress": {
"companyName": "ACME Ltd",
"addressLines": "Unit 10, Industrial Estate Oxford Road",
"city": "Oxford",
"country": "United Kingdom",
"countryCode": "GBR",
"region": "Oxfordshire",
"zipCode": "OX1 3PA"
},
"cardDeliveryContact": {
"emailAddress": "jane.smith@example.com",
"firstName": "Jane",
"lastName": "Smith",
"middleName": "B",
"mobilePhone": "+447700900124",
"telephone": "+441234567891"
},
"cardIdentifier": 1234,
"cardType": "BE EV",
"customerAccountNumber": "23444444",
"driverName": "James Smith",
"fuelProductRestriction": {
"productRestrictionId": 1,
"productRestrictionName": "Fuel Only"
},
"keyIdentifier": "2323s",
"primaryVisualCardNumber": "3080002323232",
"products": [
{
"productId": 101,
"productName": "Car Wash"
},
{
"productId": 102,
"productName": "Lubricants"
}
],
"purchaseCategoryName": "Fuel",
"secondaryCardNumber": "NL-TBE-2323-2323",
"status": {
"id": 1,
"name": "Active"
},
"vehicleRegNumber": "AB12 CDE",
"orderDate": "2026-03-31",
"expiryDate": "2026-03-31"
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Performance expectations:
p50: 170 ms, p99: 600 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 170 ms, p99: 600 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'
Path Parameters
Response
Card
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The card's current status, identified by an ID and display name.
Show child attributes
Show child attributes
Date the card was ordered, in YYYY-MM-DD format.
Example:
"2026-03-31"
Card expiry date, in YYYY-MM-DD format.
Example:
"2030-03-31"